#!/bin/sh

set -e

FWGENSCRIPT=${FWGENSCRIPT:="/usr/share/examples/kld/firmware/wrap-fw_module.sh"}
FWDATADIR="/usr/local/share/fw-bwn"

FW1SUFFIX="bwn_v4_"
FW2SUFFIX="bwn_v4_lp_"

FW1LIST="ucode5 ucode11 ucode13 ucode14 ucode15				 pcm5 a0g1initvals5 a0g0initvals5				 b0g0initvals5 b0g0initvals13 a0g1bsinitvals5 a0g0bsinitvals5	 b0g0bsinitvals5 						 lp0initvals13 lp0initvals14 lp0initvals15 lp0bsinitvals13	 lp0bsinitvals14 lp0bsinitvals15					 n0bsinitvals11"
FW2LIST="ucode5 ucode11 ucode13 ucode14 ucode15				 pcm5 a0g1initvals5 a0g0initvals5				 b0g0initvals5 b0g0initvals13 a0g1bsinitvals5 a0g0bsinitvals5	 b0g0bsinitvals5 						 lp0initvals13 lp0initvals14 lp0initvals15 lp0bsinitvals13	 lp0bsinitvals14 lp0bsinitvals15					 n0bsinitvals11"

echo "Wrapping firmware ..."

for fwb in ${FW1LIST}
do
  sh ${FWGENSCRIPT} "${FWDATADIR}/bg/${fwb}.fw" ${FW1SUFFIX} > /dev/null 2>&1
done

for fwb in ${FW2LIST}
do
  sh ${FWGENSCRIPT} "${FWDATADIR}/lp/${fwb}.fw" ${FW2SUFFIX} > /dev/null 2>&1
done

echo "Wrapped firmware installed to /boot/modules.local/"
