#!/bin/sh

set -e

MODULEDIR=${MODULEDIR:=/boot/modules.local}

FW1SUFFIX="bwn_v4_"
FW2SUFFIX="bwn_v4_lp_"

FW1LIST="ucode5 ucode11 ucode13 ucode14 ucode15				 pcm5 a0g1initvals5 a0g0initvals5				 b0g0initvals5 b0g0initvals13 a0g1bsinitvals5 a0g0bsinitvals5	 b0g0bsinitvals5 						 lp0initvals13 lp0initvals14 lp0initvals15 lp0bsinitvals13	 lp0bsinitvals14 lp0bsinitvals15					 n0bsinitvals11"
FW2LIST="ucode5 ucode11 ucode13 ucode14 ucode15				 pcm5 a0g1initvals5 a0g0initvals5				 b0g0initvals5 b0g0initvals13 a0g1bsinitvals5 a0g0bsinitvals5	 b0g0bsinitvals5 						 lp0initvals13 lp0initvals14 lp0initvals15 lp0bsinitvals13	 lp0bsinitvals14 lp0bsinitvals15					 n0bsinitvals11"

for fwm in ${FW1LIST}
do
  rm -f "${MODULEDIR}/${FW1SUFFIX}${fwm}.ko"
done

for fwm in ${FW2LIST}
do
  rm -f "${MODULEDIR}/${FW2SUFFIX}${fwm}.ko"
done

echo "Firmware removed"
